CVE-2007-0235

NameCVE-2007-0235
DescriptionStack-based buffer overflow in the glibtop_get_proc_map_s function in libgtop before 2.14.6 (libgtop2) allows local users to cause a denial of service (crash) and possibly execute arbitrary code via a process with a long filename that is mapped in its address space, which triggers the overflow in gnome-system-monitor.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, GitHub code/issues, web search, more)
ReferencesDSA-1255-1
NVD severitylow (attack range: local)
Debian Bugs407020

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
libgtop2 (PTS)wheezy2.28.4-3fixed
jessie2.28.5-2fixed
stretch2.34.2-1fixed
buster, sid2.38.0-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
libgtop2source(unstable)2.14.4-3medium407020
libgtop2sourcesarge2.6.0-4sarge1lowDSA-1255-1

Notes

libgtop does not contain the affected code.

Search for package or bug name: Reporting problems